[arch-commits] Commit in gimp-dbp/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Thu Apr 30 01:16:37 EDT 2009


    Date: Thursday, April 30, 2009 @ 01:16:37
  Author: eric
Revision: 37040

Merged revisions 12077,37037 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/gimp-dbp/trunk

........
  r12077 | eric | 2008-09-08 21:56:57 -0400 (Mon, 08 Sep 2008) | 2 lines
  
  upgpkg: gimp-dbp 1.1.8-1
      added license
........
  r37037 | eric | 2009-04-30 01:11:10 -0400 (Thu, 30 Apr 2009) | 2 lines
  
  upgpkg: gimp-dbp 1.1.9-1
      Upstream update, License rebuild, PKGBUILD clean-up
........

Modified:
  gimp-dbp/repos/extra-i686/	(properties)
  gimp-dbp/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)


Property changes on: gimp-dbp/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /gimp-dbp/trunk:1-12035
   + /gimp-dbp/trunk:1-37039

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-30 05:14:34 UTC (rev 37039)
+++ extra-i686/PKGBUILD	2009-04-30 05:16:37 UTC (rev 37040)
@@ -4,23 +4,23 @@
 
 pkgname=gimp-dbp
 _srcname=dbp
-_dlver=1-1-8
-pkgver=$(echo ${_dlver} | sed 's/-/./g')
+pkgver=1.1.9
 pkgrel=1
 pkgdesc="David's batch processor for the GIMP"
 arch=(i686 x86_64)
+license=('GPL')
 depends=('gimp>=2.4')
 url="http://members.ozemail.com.au/~hodsond/dbp.html"
-source=(http://www.ozemail.com.au/~hodsond/${_srcname}Src-${_dlver}.tgz)
-md5sums=('8ee1797fdf9c6188b8235ae6c9dae3d4')
+source=(http://www.ozemail.com.au/~hodsond/${_srcname}Src-${pkgver//./-}.tgz)
+md5sums=('1106625707798ab8ea1317ac6bece1c5')
 
 build() {
-  cd ${startdir}/src/${_srcname}-${pkgver}
+  cd ${srcdir}/${_srcname}-${pkgver}
  # Tweak Makefile -- remove auto-install
-  sed -i 's|^\tgimptool.*$||' Makefile
-  sed -i "s|<string>|<cstring>|" op.h
+  sed -i 's|^\tgimptool.*$||' Makefile || return 1
+  sed -i "s|<string>|<cstring>|" op.h || return 1
  #sed -i '/DISABLE_DEPRECATED/d' Makefile
  # create gimp-2.0 plugin and install it
   make ${_srcname} || return 1
-  install -Dsm755 ${_srcname} ${startdir}/pkg/usr/lib/gimp/2.0/plug-ins/${_srcname}
+  install -Dsm755 ${_srcname} ${pkgdir}/usr/lib/gimp/2.0/plug-ins/${_srcname} || return 1
 }



More information about the arch-commits mailing list